Name:          vdsm-hook-hostusb
Version:       0.1
Release:       1%{?dist}
Summary:       VDSM host hook scripts for mapping usb devices by host/port

Group:         Applications/System
License:       GPLv2+
URL:           http://www.ovirt.org/wiki/Vdsm
Source0:       hostusb_010813.tar.gz
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: sudo
Requires: vdsm

%description
VDSM hook scripts to map USB devices by host/port rather than by vendor/prodcut ID. 
This allows 

%prep
%setup -q -n hostusb

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/libexec/vdsm/hooks
mkdir -p %{buildroot}/usr/libexec/vdsm/hooks/after_vm_destroy
mkdir -p %{buildroot}/usr/libexec/vdsm/hooks/before_vm_migrate_source
mkdir -p %{buildroot}/usr/libexec/vdsm/hooks/before_vm_start
mkdir -p %{buildroot}/etc/sudoers.d/
mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}

install -p after_vm_destroy.py %{buildroot}/usr/libexec/vdsm/hooks/after_vm_destroy/50_hostusb
install -p before_vm_migrate_source.py %{buildroot}/usr/libexec/vdsm/hooks/before_vm_migrate_source/50_hostusb
install -p before_vm_start.py %{buildroot}/usr/libexec/vdsm/hooks/before_vm_start/50_hostusb
install -p sudoers.vdsm_hook_hostusb %{buildroot}/etc/sudoers.d/50_vdsm_hook_hostusb
# install -p %{SOURCE1} %{buildroot}/%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# %doc README.vdsmhostusbdirect
%{_libexecdir}/vdsm/hooks/after_vm_destroy/50_hostusb
%{_libexecdir}/vdsm/hooks/before_vm_migrate_source/50_hostusb
%{_libexecdir}/vdsm/hooks/before_vm_start/50_hostusb
%{_sysconfdir}/sudoers.d/50_vdsm_hook_hostusb

%changelog
* Tue Jul 30 2013 Peter Robinson <pbrobinson@redhat.com> 0.1-2
- Initial Package
